summaryrefslogtreecommitdiff
path: root/dev-python/pkgcraft
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-06 08:23:58 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-06 08:23:58 +0000
commit779f080e8cf3d2ccd41a1d4416b2e9b10977a6bc (patch)
tree37afa9817138227bba024d5043556cdd58f43a5e /dev-python/pkgcraft
parente124fc070d11b3fe1d3ecfe4daee99351f2b8f8d (diff)
downloadbaldeagleos-repo-779f080e8cf3d2ccd41a1d4416b2e9b10977a6bc.tar.gz
baldeagleos-repo-779f080e8cf3d2ccd41a1d4416b2e9b10977a6bc.tar.xz
baldeagleos-repo-779f080e8cf3d2ccd41a1d4416b2e9b10977a6bc.zip
Adding metadata
Diffstat (limited to 'dev-python/pkgcraft')
-rw-r--r--dev-python/pkgcraft/Manifest2
-rw-r--r--dev-python/pkgcraft/metadata.xml13
-rw-r--r--dev-python/pkgcraft/pkgcraft-0.0.3.ebuild74
-rw-r--r--dev-python/pkgcraft/pkgcraft-0.0.4.ebuild76
-rw-r--r--dev-python/pkgcraft/pkgcraft-9999.ebuild76
5 files changed, 241 insertions, 0 deletions
diff --git a/dev-python/pkgcraft/Manifest b/dev-python/pkgcraft/Manifest
new file mode 100644
index 000000000000..251c85478708
--- /dev/null
+++ b/dev-python/pkgcraft/Manifest
@@ -0,0 +1,2 @@
+DIST pkgcraft-0.0.3.tar.gz 1239742 BLAKE2B c9148d3ac34d80c47db5d1080b3806e6b64fffa226d595a11499215626342286efc19b86fd1e158a8ca0021ab8946d35e4393fceaf8a318c258114a6c2e1ffdf SHA512 53ae196d073271654807ef5587c38d83e10b606f59baf63e3c8da7ce1b1d80d7acd1e3e201ebba1346c14d101eded666d6ad9bdf972b36c574c9b494147baa4a
+DIST pkgcraft-0.0.4.tar.gz 397121 BLAKE2B 72b24d34b6c3b6114a5d182b4fe562078aa258a21271b33d8858c85cca480a932afab5933978295fd44d531146d58688391efe8e23f358332de83ae5195d68fb SHA512 04996bcbe6d9a8ae6082ea84a63358f42d3a503f1e0d188b627b033b8379cf6e22f5ae8ff764b7213fe6d801a1eeb6321b02967e77d98575125e16781d9b917c
diff --git a/dev-python/pkgcraft/metadata.xml b/dev-python/pkgcraft/metadata.xml
new file mode 100644
index 000000000000..52e0a48cd288
--- /dev/null
+++ b/dev-python/pkgcraft/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>sam@gentoo.org</email>
+ <name>Sam James</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pkgcraft/pkgcraft-0.0.3.ebuild b/dev-python/pkgcraft/pkgcraft-0.0.3.ebuild
new file mode 100644
index 000000000000..5dc743ca3d03
--- /dev/null
+++ b/dev-python/pkgcraft/pkgcraft-0.0.3.ebuild
@@ -0,0 +1,74 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for pkgcraft"
+HOMEPAGE="
+ https://pypi.org/project/pkgcraft/
+ https://github.com/pkgcraft/pkgcraft-python
+"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/pkgcraft/pkgcraft-python"
+ inherit git-r3
+
+ PKGCRAFT_VERSION_MIN="9999"
+ PKGCRAFT_VERSION_MAX="9999"
+else
+ SRC_URI="https://github.com/pkgcraft/pkgcraft-python/releases/download/v${PV}/${P/-python}.tar.gz"
+ S="${WORKDIR}"/${P/-python}
+
+ KEYWORDS="~amd64"
+
+ PKGCRAFT_VERSION_MIN="0.0.4"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+examples"
+
+RDEPEND="
+ >=sys-libs/pkgcraft-${PKGCRAFT_VERSION_MIN}:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-python/cython
+ dev-python/setuptools_scm
+ virtual/pkgconfig
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ if [[ ${PV} != 9999 ]] ; then
+ local actual_pkgcraft_min=$(sed -En '/^MIN_VERSION =/{s/[^0-9.]//gp}' setup.py || die)
+ if [[ ${actual_pkgcraft_min} != ${PKGCRAFT_VERSION_MIN} ]] ; then
+ die "Mismatch between setup.py's MIN_VERSION and ebuild!"
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install() {
+ # Conditional because these aren't installed officially right now
+ # and the naming is just for convenience.
+ if use examples ; then
+ while IFS= read -r -d '' file ; do
+ python_newexe "${S}"/examples/${file##*/} pkgcraft-${file##*/}
+ done < <(find "${S}"/examples -type f -executable -print0 || die)
+ fi
+
+ distutils-r1_python_install
+}
diff --git a/dev-python/pkgcraft/pkgcraft-0.0.4.ebuild b/dev-python/pkgcraft/pkgcraft-0.0.4.ebuild
new file mode 100644
index 000000000000..a9b364218f73
--- /dev/null
+++ b/dev-python/pkgcraft/pkgcraft-0.0.4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for pkgcraft"
+HOMEPAGE="
+ https://pypi.org/project/pkgcraft/
+ https://github.com/pkgcraft/pkgcraft-python
+"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/pkgcraft/pkgcraft-python"
+ inherit git-r3
+
+ PKGCRAFT_VERSION_MIN="9999"
+ PKGCRAFT_VERSION_MAX="9999"
+else
+ SRC_URI="https://github.com/pkgcraft/pkgcraft-python/releases/download/v${PV}/${P/-python}.tar.gz"
+ S="${WORKDIR}"/${P/-python}
+
+ KEYWORDS="~amd64"
+
+ PKGCRAFT_VERSION_MIN="0.0.5"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+examples"
+
+RDEPEND="
+ >=sys-libs/pkgcraft-${PKGCRAFT_VERSION_MIN}:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-python/cython
+ dev-python/setuptools_scm
+ virtual/pkgconfig
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ if [[ ${PV} != 9999 ]] ; then
+ local actual_pkgcraft_min=$(sed -En '/^MIN_VERSION =/{s/[^0-9.]//gp}' setup.py || die)
+ if [[ ${actual_pkgcraft_min} != ${PKGCRAFT_VERSION_MIN} ]] ; then
+ eerror "Expected minimum pkgcraft-c version: ${PKGCRAFT_VERSION_MIN}"
+ eerror "Actual minimum pkgcraft-c version: ${actual_pkgcraft_min}"
+ die "Mismatch between setup.py's MIN_VERSION and ebuild!"
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install() {
+ # Conditional because these aren't installed officially right now
+ # and the naming is just for convenience.
+ if use examples ; then
+ while IFS= read -r -d '' file ; do
+ python_newexe "${S}"/examples/${file##*/} pkgcraft-${file##*/}
+ done < <(find "${S}"/examples -type f -executable -print0 || die)
+ fi
+
+ distutils-r1_python_install
+}
diff --git a/dev-python/pkgcraft/pkgcraft-9999.ebuild b/dev-python/pkgcraft/pkgcraft-9999.ebuild
new file mode 100644
index 000000000000..a9b364218f73
--- /dev/null
+++ b/dev-python/pkgcraft/pkgcraft-9999.ebuild
@@ -0,0 +1,76 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for pkgcraft"
+HOMEPAGE="
+ https://pypi.org/project/pkgcraft/
+ https://github.com/pkgcraft/pkgcraft-python
+"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/pkgcraft/pkgcraft-python"
+ inherit git-r3
+
+ PKGCRAFT_VERSION_MIN="9999"
+ PKGCRAFT_VERSION_MAX="9999"
+else
+ SRC_URI="https://github.com/pkgcraft/pkgcraft-python/releases/download/v${PV}/${P/-python}.tar.gz"
+ S="${WORKDIR}"/${P/-python}
+
+ KEYWORDS="~amd64"
+
+ PKGCRAFT_VERSION_MIN="0.0.5"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+examples"
+
+RDEPEND="
+ >=sys-libs/pkgcraft-${PKGCRAFT_VERSION_MIN}:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-python/cython
+ dev-python/setuptools_scm
+ virtual/pkgconfig
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ if [[ ${PV} != 9999 ]] ; then
+ local actual_pkgcraft_min=$(sed -En '/^MIN_VERSION =/{s/[^0-9.]//gp}' setup.py || die)
+ if [[ ${actual_pkgcraft_min} != ${PKGCRAFT_VERSION_MIN} ]] ; then
+ eerror "Expected minimum pkgcraft-c version: ${PKGCRAFT_VERSION_MIN}"
+ eerror "Actual minimum pkgcraft-c version: ${actual_pkgcraft_min}"
+ die "Mismatch between setup.py's MIN_VERSION and ebuild!"
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install() {
+ # Conditional because these aren't installed officially right now
+ # and the naming is just for convenience.
+ if use examples ; then
+ while IFS= read -r -d '' file ; do
+ python_newexe "${S}"/examples/${file##*/} pkgcraft-${file##*/}
+ done < <(find "${S}"/examples -type f -executable -print0 || die)
+ fi
+
+ distutils-r1_python_install
+}